timeScaleSize = 1
timeScaleX = 1
timeScaleY = 1

circleDefaultSize = 30
circleDefaultX = love.graphics.getWidth() / 2
circleDefaultY1 = love.graphics.getHeight() / 7
circleDefaultY2 = (love.graphics.getHeight() * 2) / 7
circleDefaultY3 = (love.graphics.getHeight() * 3) / 7
circleDefaultY4 = (love.graphics.getHeight() * 4) / 7
circleDefaultY5 = (love.graphics.getHeight() * 5) / 7
circleDefaultY6 = (love.graphics.getHeight() * 6) / 7

circleSizeChange = 20
circleXChange = 300
circleYChange = 100

-----------------------------------------------

glitch = false
progressSize = 0
progressX = 0
progressY = 0

function calculateCircle ( circleSize, circleX, circleY, circleSizeDiff, circleXDiff, circleYDiff, offset)
	
	stepSize = progressSize + offset
	stepX= progressX + offset
	stepY = progressY + offset

	if stepSize > (math.pi * 2) then stepSize = stepSize - (math.pi * 2) end
	if stepX > (math.pi * 2) then stepX = stepX - (math.pi * 2) end
	if stepY > (math.pi * 2) then stepY = stepY - (math.pi * 2) end
	
	circleSizeNew = circleSize + (math.sin(stepSize) * circleSizeDiff)
	circleXNew = circleX + (math.cos(stepX) * circleXDiff)
	circleYNew = circleY + (math.sin(stepY) * circleYDiff)
	
	return circleSizeNew, circleXNew, circleYNew
	
end

function love.update(dt)
	
	circle1Size, circle1X, circle1Y = calculateCircle (35, circleDefaultX, circleDefaultY1, 5, 150, -15, 0)
	circle2Size, circle2X, circle2Y = calculateCircle (35, circleDefaultX, circleDefaultY2, 5, 150, -10, (math.pi / 6)*2)
	circle3Size, circle3X, circle3Y = calculateCircle (35, circleDefaultX, circleDefaultY3, 5, 150, -5, (math.pi / 6)*4)
	circle4Size, circle4X, circle4Y = calculateCircle (35, circleDefaultX, circleDefaultY4, 5, 150, 5, (math.pi / 6)*6)
	circle5Size, circle5X, circle5Y = calculateCircle (35, circleDefaultX, circleDefaultY5, 5, 150, 10, (math.pi / 6)*8)
	circle6Size, circle6X, circle6Y = calculateCircle (35, circleDefaultX, circleDefaultY6, 5, 150, 15, (math.pi / 6)*10)
	
	progressSize = progressSize + (dt * timeScaleSize)
	progressX = progressX + (dt * timeScaleX)
	progressY = progressY + (dt * timeScaleY)
	
	if glitch then
		if math.random(0, 75) % 75 == 0 then  progressSize = progressSize + math.random (5, 100) end
		if math.random(0, 50) % 50 == 0 then  progressX = progressX + math.random (10, 100) end
		if math.random(0, 25) % 25 == 0 then  progressY = progressY + math.random (15, 100) end
	end
	
end


function love.draw()
	
	--love.graphics.print(progressSize .. ", " .. progressX .. ", " .. progressY .. ",", 5, 5)
	love.graphics.circle("fill", circle1X, circle1Y, circle1Size)
	love.graphics.circle("fill", circle2X, circle2Y, circle2Size)
	love.graphics.circle("fill", circle3X, circle3Y, circle3Size)
	love.graphics.circle("fill", circle4X, circle4Y, circle4Size)
	love.graphics.circle("fill", circle5X, circle5Y, circle5Size)
	love.graphics.circle("fill", circle6X, circle6Y, circle6Size)
	
end

function love.keypressed(key)
	
	if key == " " or key == "return" then 
		if glitch then 
			glitch = false
			progressSize = 0
			progressX = 0
			progressY = 0
		else 
			glitch = true
		end
	end

end
